<?php

use EventPortal\Domain\Address\Models\Address;
use EventPortal\Domain\Venue\Models\Venue;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Venue::class, static function ($faker) {
    return [
        'name' => $faker->word,
        'url' => $faker->url,
    ];
});

$factory->state(Venue::class, 'has-address', []);

$factory->afterCreatingState(Venue::class, 'has-address', static function (Venue $venue): void {
    $address = factory(Address::class)->state('snapshot')->make();
    $venue->address()->save($address);
});
